-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM License Metric Tool
-- * 5724-S94 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2012.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

connect to tlma%

CREATE procedure ADM.UPDTAE_LIC_RES_CONF_KEY_REL_IF_NEEDED (in ORIGINAL_VERSION VARCHAR(10), in NEW_VERSION VARCHAR(10)) 
	LANGUAGE SQL
	BEGIN
	DECLARE v_count INTEGER DEFAULT 0;
	
	SELECT count(*) INTO v_count 
	  from LIC.RES_CONF_KEY_REL WHERE VERSION = NEW_VERSION;
	  
	IF (v_count = 0) THEN
	
		INSERT INTO LIC.RES_CONF_KEY_REL 
			SELECT TYPE, CONF_KEY_ID, NEW_VERSION AS VERSION, VALUE_RANGE_MAX, VALUE_RANGE_MIN 
			FROM LIC.RES_CONF_KEY_REL WHERE VERSION = ORIGINAL_VERSION;
	
	END IF;
	
	commit;
	END
%	

call ADM.UPDTAE_LIC_RES_CONF_KEY_REL_IF_NEEDED('7.2.2','7.2.2.22')%
call ADM.UPDTAE_LIC_RES_CONF_KEY_REL_IF_NEEDED('7.5','7.5.0.1')%

drop procedure ADM.UPDTAE_LIC_RES_CONF_KEY_REL_IF_NEEDED%

disconnect tlma%