-----------------------------------------------------------------------------------
-- START: Add cpu_threshold param to LIC schema (CPU limiter support)
-----------------------------------------------------------------------------------

INSERT INTO LIC.CONF_KEY (
	NAME,
	HIER_ID,
	IS_INHERITABLE,
	MAX_VISIBILITY_HEIGHT,
	ID,
	PREDEFINED_VALUE,
	ONLY_INHERITABLE,
	VALUE_TYPE,UNITS) 
  SELECT 
     'cpu_threshold',
     1,
     1,
     2,
     (SELECT MAX(ID) FROM LIC.CONF_KEY) + 1,
     '100',
     0,
     0,
     'percents'
  FROM 
     SYSIBM.SYSDUMMY1
WHERE
  NOT EXISTS
    (SELECT * FROM LIC.CONF_KEY WHERE NAME = 'cpu_threshold')%


INSERT INTO LIC.RES_CONF_KEY_REL (
	TYPE,
	CONF_KEY_ID,
	VERSION,
	VALUE_RANGE_MAX,
	VALUE_RANGE_MIN) 
  SELECT
  	0,
  	(SELECT ID FROM LIC.CONF_KEY WHERE NAME = 'cpu_threshold'),
  	'7.5',
  	'100',
  	'5'
  FROM SYSIBM.SYSDUMMY1
  WHERE NOT EXISTS
    (SELECT * FROM LIC.RES_CONF_KEY_REL
       WHERE CONF_KEY_ID IN (SELECT ID FROM LIC.CONF_KEY WHERE NAME = 'cpu_threshold') AND VERSION = '7.5')%       

-----------------------------------------------------------------------------------
-- END: Add cpu_threshold param to LIC schema (CPU limiter support)
-----------------------------------------------------------------------------------
